import { select, arc } from 'd3';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

const g = svg.append('g')
  .attr('transform', `translate(${width / 2}, ${height / 2})`);

const circle = g.append('circle');

circle.attr('r', height / 2);
circle.attr('fill', 'green');
circle.attr('stroke', 'black');

const eyeSpacing = 101;
const eyeYOffset = -89;
const eyeRadius = 40;
const eyebrowWidth = 70;
const eyebrowHeight = 20;
const eyebrowYOffset = -70;

const eyesG = g
  .append('g')
    .attr('transform', `translate(0, ${eyeYOffset})`);

const leftEye = eyesG
  .append('circle')
    .attr('r', eyeRadius)
    .attr('cx', -eyeSpacing);

const rightEye = eyesG
  .append('circle')
    .attr('r', eyeRadius)
    .attr('cx', eyeSpacing);

const eyebrowsG = eyesG
  .append('g')
    .attr('transform', `translate(0, ${eyebrowYOffset})`);

eyebrowsG
  .transition().duration(2000)
    .attr('transform', `translate(0, ${eyebrowYOffset - 50})`)
  .transition().duration(2000)
    .attr('transform', `translate(0, ${eyebrowYOffset})`);

const leftEyebrow = eyebrowsG
  .append('rect')
    .attr('x', -eyeSpacing - eyebrowWidth / 2)
    .attr('width', eyebrowWidth)
    .attr('height', eyebrowHeight);

const rightEyebrow = eyebrowsG
  .append('rect')
    .attr('x', eyeSpacing - eyebrowWidth / 2)
    .attr('width', eyebrowWidth)
    .attr('height', eyebrowHeight); 


// create a big circles for the sticker
svg.append("circle")
   .attr("cx", 470)
   .attr("cy", 100)
   .attr("r", 20)
   .attr("fill", "red");

// create two circles for the eyes
svg.append("circle")
   .attr("cx", 560)
   .attr("cy", 150)
   .attr("r", 15)
   .attr("fill", "white");

svg.append("circle")
   .attr("cx", 360)
   .attr("cy", 150)
   .attr("r", 15)
   .attr("fill", "white");

// create a mole , smaller circles on the chin 
svg.append("circle")
   .attr("cx", 650)
   .attr("cy", 350)
   .attr("r", 10)
   .attr("fill", "black");


// create a path for the mouth with teeth
//svg.append("path")
   //.attr("d", "M 600,250 Q 400,400 350,250 M 200,360 V 360 M 200,360 V 360 M 180,290 V 310 M 200,290 V 310 M 220,290 V 310 M 240,290 V 310 M 260,290 V 310")
   //.attr("stroke", "black")
  // .attr("stroke-width", 10)
   //.attr("fill", "none");


      
const mouth = g
  .append('path')
    .attr('d', arc()({
      innerRadius: 150,
      outerRadius: 170,
      startAngle: Math.PI / 2,
      endAngle: Math.PI * 3 / 2
    }));











